# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		koffice
Icon:		kde-icon.xpm
URL:		http://www.kde.org/
Summary:	Set of office applications for KDE
Version:	1.1
Release:	7mdk
Epoch:		10


Source:		koffice-%version.tar.bz2
Patch1:		koffice-1.1-fix_kword.diff.bz2
Patch2:		koffice-1.1-qt3stuff-fix.diff.bz2
Patch3:		koffice-1.1-kword-fix-preview.diff.bz2
Group:		Office
License:	GPL
BuildRoot:	%_tmppath/%name-%version-%release-root
Obsoletes:	killustrator

# Dadou - 1.1-0.beta3.1mdk - BuildRequires for Linux-Mandrake 8.0
%if %buildfor8_0
BuildRequires:	Mesa-common-devel XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:	arts autoconf automake db1-devel db3-devel diffutils file
BuildRequires:	freetype2-devel gawk gcc-c++ gcc-cpp gettext gettext-base kdelibs-devel >= 2.2
BuildRequires:	kdesupport-devel libbinutils2-devel libbzip2_1-devel
BuildRequires:	libjpeg62-devel libmng1-devel libpng2-devel libqt2-devel
BuildRequires:	libtermcap2-devel m4 mktemp pam-devel popt-devel python-devel
BuildRequires:	readline-devel rpm-build texinfo zlib1-devel
BuildRequires:	kdelibs-devel >= 2.2
%endif

# Dadou - 1.1-0.beta3.1mdk - BuildRequires for Mandrake Linux 8.1
%if %buildfor8_1
BuildRequires:  Mesa-common-devel XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:  arts autoconf automake db1-devel db3-devel diffutils file
BuildRequires:  freetype2-devel gawk gcc-c++ gcc-cpp gettext kdelibs-devel >= 2.2
BuildRequires:  kdesupport-devel libbinutils2-devel libbzip2_1-devel
BuildRequires:  libjpeg62-devel libmng1-devel libpng2-devel libqt2-devel
BuildRequires:  libtermcap2-devel m4 mktemp pam-devel popt-devel python-devel
BuildRequires:  readline-devel rpm-build texinfo zlib1-devel
BuildRequires:	fam-devel
BuildRequires:  kdelibs-devel >= 2.2
%endif

Requires:	kdegraphics

%description
Office applications for the K Desktop Environment.

KOffice contains:
   * KWord: word processor
   * KSpread: spreadsheet
   * KPresenter: presentations
   * KChart: diagram generator
   * KOntour
   * Krayon
   * Kugar
   * Kivio
   * Some filters (Excel 97, Winword 97/2000, etc.)

%package devel
Group:		Graphical desktop/KDE
Summary:	Header files for developing koffice applications
PreReq:		%name

%description devel
Header files needed for developing koffice applications.

%package static-devel
Group:		Graphical desktop/KDE
Summary:	Static libraries for developing koffice applications
PreReq:		%name-devel

%description static-devel
Static libraries for developing koffice applications.

You don't need to install this package if you are not a developer.


%prep

%setup -q 
%patch1 -p1
%patch2 -p1
%patch3	-p1

%build
%if %unstable
make -f Makefile.cvs
%endif


# Dadou - 1.1-0.beta3.1mdk - Build for Mandrake Linux 8.1
# Dadou - 1.1-0.beta3.1mdk - Don't use --enable-debug or you will see a
#                            wonderful "Internal compilator error"
# Dadou - 1.1-0.beta3.1mdk - --enable-final is broken in 1.1.beta3
if [ %buildfor = 8.1 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --enable-shared \
                    --enable-static \
                    --with-xinerama \
                    --disable-rpath \
		    --enable-final
fi

# Dadou - 1.1-0.beta2-4mdk - Build for Linux-Mandrake 7.2 and 8.0
# Dadou - 1.1-0.beta3.1mdk - --enable-final is broken in 1.1.beta3
if [ %buildfor = 7.2 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
		    --enable-shared \
		    --enable-static \
		    --disable-rpath
fi


# Dadou - 1.1-0.beta3.1mdk - ix86: don't use --enable-debug or you will see a
#                            wonderful "Internal compilator error"
# Dadou - 1.1-0.beta3.1mdk - ix86: --enable-final is broken in 1.1.beta3
if [ %buildfor = 8.0 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --disable-rpath
fi


%make

%install
rm -fr %buildroot

# Dadou - 1.1-0.beta2.4mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif


# Dadou - 1.1-0.beta2.4mdk - Don't use makeinstall macro or nothing will work
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install

#laurent 1.1-7mdk add icon kformula
perl -pi -e 's|Icon=kformula|Icon=mathematics_section.xpm|' %buildroot/%_datadir/applnk/Office/kformula.desktop

# Dadou - 1.1-0.beta2.1mdk - Create LMDK menu structure
install -d %buildroot/%_menudir/

# Dadou - 1.1-0.beta2.4mdk - Menu structure for Linux-Mandrake 7.2 and 8.0
if [ %buildfor = 7.2 ]  || [ %buildfor = 8.0 ]; then
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kchart.desktop %buildroot/%_menudir/koffice-kchart
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kontour.desktop %buildroot/%_menudir/koffice-kontour
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kivio.desktop %buildroot/%_menudir/koffice-kivio
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/koshell.desktop %buildroot/%_menudir/koffice-koshell
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kpresenter.desktop %buildroot/%_menudir/koffice-kpresenter
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kspread.desktop %buildroot/%_menudir/koffice-kspread
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kugar.desktop %buildroot/%_menudir/koffice-kugar
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kword.desktop %buildroot/%_menudir/koffice-kword
kdedesktop2mdkmenu.pl koffice Office %buildroot/%_datadir/applnk/Office/kformula.desktop %buildroot/%_menudir/koffice-kformula
fi

# Dadou - 1.1-0.beta2.4mdk - Menu structure for Mandrake Linux 8.1 and higher
if [ %buildfor = 8.1 ]; then
kdedesktop2mdkmenu.pl koffice Office/Graphs %buildroot/%_datadir/applnk/Office/kchart.desktop %buildroot/%_menudir/koffice-kchart
kdedesktop2mdkmenu.pl koffice Multimedia/Graphics %buildroot/%_datadir/applnk/Office/kontour.desktop %buildroot/%_menudir/koffice-kontour
kdedesktop2mdkmenu.pl koffice Office/Graphs %buildroot/%_datadir/applnk/Office/kivio.desktop %buildroot/%_menudir/koffice-kivio
kdedesktop2mdkmenu.pl koffice Office/Accessories %buildroot/%_datadir/applnk/Office/koshell.desktop %buildroot/%_menudir/koffice-koshell
kdedesktop2mdkmenu.pl koffice Office/Presentations %buildroot/%_datadir/applnk/Office/kpresenter.desktop %buildroot/%_menudir/koffice-kpresenter
kdedesktop2mdkmenu.pl koffice Office/Spreadsheets %buildroot/%_datadir/applnk/Office/kspread.desktop %buildroot/%_menudir/koffice-kspread
kdedesktop2mdkmenu.pl koffice "Applications/Text tools" %buildroot/%_datadir/applnk/Office/kugar.desktop %buildroot/%_menudir/koffice-kugar
kdedesktop2mdkmenu.pl koffice Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kword.desktop %buildroot/%_menudir/koffice-kword
kdedesktop2mdkmenu.pl koffice Office/Wordprocessors %buildroot/%_datadir/applnk/Office/kformula.desktop %buildroot/%_menudir/koffice-kformula
fi

# Add an icon to Koshell
# Think to remove that when Koshell will have its own icon
perl -pi -e "s|koshell.png|kword.png|" %buildroot/%_menudir/koffice-koshell


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
#
#
%dir %_docdir/HTML/en/koffice/
%doc %_docdir/HTML/en/koffice/common
%doc %_docdir/HTML/en/koffice/README.documentation
%doc %_docdir/HTML/en/koffice/*.docbook
%doc %_docdir/HTML/en/koffice/*.bz2
#
#
%dir %_docdir/HTML/en/koshell/
%doc %_docdir/HTML/en/koshell/common
%doc %_docdir/HTML/en/koshell/*.bz2
%doc %_docdir/HTML/en/koshell/*.docbook
#
#
%dir %_docdir/HTML/en/kpresenter/
%doc %_docdir/HTML/en/kpresenter/*.bz2
%doc %_docdir/HTML/en/kpresenter/*.docbook
%doc %_docdir/HTML/en/kpresenter/*.png
#
#
#
%dir %_docdir/HTML/en/kspread/
%doc %_docdir/HTML/en/kspread/common
%doc %_docdir/HTML/en/kspread/*.bz2
%doc %_docdir/HTML/en/kspread/*.docbook
#
#
%dir %_docdir/HTML/en/kword/
%doc %_docdir/HTML/en/kword/common
%doc %_docdir/HTML/en/kword/*.bz2
%doc %_docdir/HTML/en/kword/*.docbook
%doc %_docdir/HTML/en/kword/*.png       
#
%dir %_docdir/HTML/en/kontour/
%doc %_docdir/HTML/en/kontour/common
%doc %_docdir/HTML/en/kontour/*.bz2
%doc %_docdir/HTML/en/kontour/*.docbook
%doc %_docdir/HTML/en/kontour/*.png
#
%dir %_docdir/HTML/en/kugar/
%doc %_docdir/HTML/en/kugar/common
%doc %_docdir/HTML/en/kugar/*.bz2
%doc %_docdir/HTML/en/kugar/*.docbook
%doc %_docdir/HTML/en/kugar/*.png
#
%_bindir/* 
#
#
#
%_libdir/kchart.la
%_libdir/kformulamain.la
%_libdir/kontour.la
%_libdir/kivio.la
%_libdir/koshell.la
%_libdir/kpresenter.la
%_libdir/kspread.la
%_libdir/kword.la
%_libdir/libkdchart.la
%_libdir/libkformula.la
%_libdir/libkivioconnectortool.la
%_libdir/libkivioselecttool.la
%_libdir/libkiviotexttool.la
%_libdir/libkiviozoomtool.la
%_libdir/libkochart.la
%_libdir/libkodocinfopropspage.la
%_libdir/libkofficecore.la
%_libdir/libkofficeui.la
%_libdir/libkoscript.la
%_libdir/libkstore.la
%_libdir/libkugarpart.la
%_libdir/libkwmf.la
#
%_libdir/kchart.so
%_libdir/kformulamain.so
%_libdir/kontour.so
%_libdir/kivio.so
%_libdir/koshell.so
%_libdir/kpresenter.so
%_libdir/kspread.so
%_libdir/kword.so
%_libdir/libkdchart.so*
%_libdir/libkformula.so*
%_libdir/libkivioconnectortool.so
%_libdir/libkivioselecttool.so
%_libdir/libkiviotexttool.so
%_libdir/libkiviozoomtool.so
%_libdir/libkochart.so*
%_libdir/libkodocinfopropspage.so*
%_libdir/libkofficecore.so*
%_libdir/libkofficeui.so*
%_libdir/libkoscript.so*
%_libdir/libkstore.so*
%_libdir/libkugarpart.so
%_libdir/libkwmf.so*
#
#
%dir %_libdir/kde2/
%_libdir/kde2/libabiwordexport.la
%_libdir/kde2/libabiwordimport.la
%_libdir/kde2/libapplixgraphicimport.la
%_libdir/kde2/libapplixspreadimport.la
%_libdir/kde2/libapplixwordimport.la
%_libdir/kde2/libasciiexport.la
%_libdir/kde2/libasciiimport.la
%_libdir/kde2/libcsvexport.la
%_libdir/kde2/libcsvimport.la
%_libdir/kde2/libdocbookexport.la
%_libdir/kde2/libhtmlexport.la
%_libdir/kde2/libhtmlimport.la
%_libdir/kde2/libkchartpart.la
%_libdir/kde2/libkformulapart.la
%_libdir/kde2/libkontourpart.la
%_libdir/kde2/libkiviopart.la
%_libdir/kde2/libkspreadhtmlexport.la
%_libdir/kde2/libgnumericimport.la
%_libdir/kde2/libgnumericexport.la
%_libdir/kde2/libkofficescan.la
%_libdir/kde2/libkpresenterpart.la
%_libdir/kde2/libkprkword.la
%_libdir/kde2/libkspelltool.la
%_libdir/kde2/libkspreadcalc.la
%_libdir/kde2/libkspreadpart.la
%_libdir/kde2/libkwordpart.la
%_libdir/kde2/liblatexexport.la
%_libdir/kde2/libmsodimport.la
%_libdir/kde2/libolefilter.la
%_libdir/kde2/libqproimport.la
%_libdir/kde2/librtfexport.la
%_libdir/kde2/libwmfimport.la
%_libdir/kde2/libxfigimport.la
%_libdir/kde2/libsvgexport.la
%_libdir/kde2/libsvgimport.la
#
%_libdir/kde2/libabiwordexport.so
%_libdir/kde2/libabiwordimport.so
%_libdir/kde2/libapplixgraphicimport.so
%_libdir/kde2/libapplixspreadimport.so
%_libdir/kde2/libapplixwordimport.so
%_libdir/kde2/libasciiexport.so
%_libdir/kde2/libasciiimport.so
%_libdir/kde2/libcsvexport.so
%_libdir/kde2/libcsvimport.so
%_libdir/kde2/libdocbookexport.so
%_libdir/kde2/libhtmlexport.so
%_libdir/kde2/libhtmlimport.so
%_libdir/kde2/libkchartpart.so
%_libdir/kde2/libkformulapart.so
%_libdir/kde2/libkontourpart.so
%_libdir/kde2/libkiviopart.so
%_libdir/kde2/libkspreadhtmlexport.so
%_libdir/kde2/libkofficescan.so
%_libdir/kde2/libkpresenterpart.so
%_libdir/kde2/libkprkword.so
%_libdir/kde2/libkspelltool.so
%_libdir/kde2/libkspreadcalc.so
%_libdir/kde2/libkspreadpart.so
%_libdir/kde2/libkwordpart.so
%_libdir/kde2/liblatexexport.so
%_libdir/kde2/libmsodimport.so
%_libdir/kde2/libolefilter.so
%_libdir/kde2/libqproimport.so
%_libdir/kde2/librtfexport.so
%_libdir/kde2/libwmfimport.so
%_libdir/kde2/libxfigimport.so
%_libdir/kde2/libgnumericexport.so
%_libdir/kde2/libgnumericimport.so
%_libdir/kde2/libsvgexport.so
%_libdir/kde2/libsvgimport.so
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Office/
%_datadir/applnk/Office/kchart.desktop
%_datadir/applnk/Office/kformula.desktop
%_datadir/applnk/Office/kontour.desktop
%_datadir/applnk/Office/kivio.desktop
%_datadir/applnk/Office/koshell.desktop
%_datadir/applnk/Office/kpresenter.desktop
%_datadir/applnk/Office/kspread.desktop
%_datadir/applnk/Office/kugar.desktop
%_datadir/applnk/Office/kword.desktop
#
#
#
%dir %_datadir/apps/kchart/
%_datadir/apps/kchart/*.rc
#
%dir %_datadir/apps/kchart/icons/
%dir %_datadir/apps/kchart/icons/hicolor/
%dir %_datadir/apps/kchart/icons/hicolor/22x22/
%dir %_datadir/apps/kchart/icons/hicolor/22x22/actions/
%_datadir/apps/kchart/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kchart/icons/locolor/
%dir %_datadir/apps/kchart/icons/locolor/16x16/
%dir %_datadir/apps/kchart/icons/locolor/16x16/actions/
%_datadir/apps/kchart/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kchart/pics/
%_datadir/apps/kchart/pics/*.png
#
#
%dir %_datadir/apps/kformula/
%_datadir/apps/kformula/*.rc
#
%dir %_datadir/apps/kformula/pics/
%_datadir/apps/kformula/pics/*.png
%_datadir/apps/kformula/pics/*.xbm
#
#
%dir %_datadir/apps/kontour/
%_datadir/apps/kontour/*.rc
#
%dir %_datadir/apps/kontour/icons/
%dir %_datadir/apps/kontour/icons/hicolor/
%dir %_datadir/apps/kontour/icons/hicolor/16x16/
%dir %_datadir/apps/kontour/icons/hicolor/16x16/actions/
%_datadir/apps/kontour/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kontour/icons/hicolor/16x16/apps/
%_datadir/apps/kontour/icons/hicolor/16x16/apps/*.png
#
%dir %_datadir/apps/kontour/icons/hicolor/32x32/
%dir %_datadir/apps/kontour/icons/hicolor/32x32/apps/
%_datadir/apps/kontour/icons/hicolor/32x32/apps/*.png
#
%dir %_datadir/apps/kontour/icons/hicolor/48x48/
%dir %_datadir/apps/kontour/icons/hicolor/48x48/apps/
%_datadir/apps/kontour/icons/hicolor/48x48/apps/*.png
#
%dir %_datadir/apps/kontour/kpartplugins/
%_datadir/apps/kontour/kpartplugins/*.rc
#
%dir %_datadir/apps/kontour/templates/
%dir %_datadir/apps/kontour/templates/Simple/
%_datadir/apps/kontour/templates/Simple/.directory
%_datadir/apps/kontour/templates/Simple/*.desktop
#
%dir %_datadir/apps/kontour/templates/Simple/.icon/
%_datadir/apps/kontour/templates/Simple/.icon/*.png
#
%dir %_datadir/apps/kontour/templates/Simple/.source/
%_datadir/apps/kontour/templates/Simple/.source/Plain.kil
#
#
%dir %_datadir/apps/koffice/
%_datadir/apps/koffice/*.rc
#
%dir %_datadir/apps/koffice/pics/
%_datadir/apps/koffice/pics/*.png
#
%dir %_datadir/apps/koffice/icons/
%dir %_datadir/apps/koffice/icons/hicolor/
%dir %_datadir/apps/koffice/icons/hicolor/16x16/
%dir %_datadir/apps/koffice/icons/hicolor/16x16/actions/
%_datadir/apps/koffice/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/16x16/apps/
%_datadir/apps/koffice/icons/hicolor/16x16/apps/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/22x22/
%dir %_datadir/apps/koffice/icons/hicolor/22x22/actions/
%_datadir/apps/koffice/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/22x22/actions/part/
%_datadir/apps/koffice/icons/hicolor/22x22/actions/part/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/32x32/
%dir %_datadir/apps/koffice/icons/hicolor/32x32/actions/
%_datadir/apps/koffice/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/32x32/apps/
%_datadir/apps/koffice/icons/hicolor/32x32/apps/*.png
#
%dir %_datadir/apps/koffice/icons/hicolor/48x48/
%dir %_datadir/apps/koffice/icons/hicolor/48x48/apps/
%_datadir/apps/koffice/icons/hicolor/48x48/apps/*.png
#
#
%dir %_datadir/apps/kpresenter/
%_datadir/apps/kpresenter/*.rc
#
%dir %_datadir/apps/kpresenter/autoforms/
%_datadir/apps/kpresenter/autoforms/.autoforms
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/
%_datadir/apps/kpresenter/autoforms/Arrows/.directory
%_datadir/apps/kpresenter/autoforms/Arrows/*.desktop
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/.icon/
%_datadir/apps/kpresenter/autoforms/Arrows/.icon/*.png
#
%dir %_datadir/apps/kpresenter/autoforms/Arrows/.source/
%_datadir/apps/kpresenter/autoforms/Arrows/.source/*.atf
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/
%_datadir/apps/kpresenter/autoforms/Connections/.directory
%_datadir/apps/kpresenter/autoforms/Connections/*.desktop
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/.icon/
%_datadir/apps/kpresenter/autoforms/Connections/.icon/*.png
#
%dir %_datadir/apps/kpresenter/autoforms/Connections/.source/
%_datadir/apps/kpresenter/autoforms/Connections/.source/*.atf
#
%dir %_datadir/apps/kpresenter/dtd/
%_datadir/apps/kpresenter/dtd/*.dtd
#
%dir %_datadir/apps/kpresenter/icons/
%dir %_datadir/apps/kpresenter/icons/hicolor/
%dir %_datadir/apps/kpresenter/icons/hicolor/22x22/
%dir %_datadir/apps/kpresenter/icons/hicolor/22x22/actions/
%_datadir/apps/kpresenter/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kpresenter/kpartplugins/
%_datadir/apps/kpresenter/kpartplugins/*.rc
#
%dir %_datadir/apps/kpresenter/pics/
%_datadir/apps/kpresenter/pics/*.png
#
%dir %_datadir/apps/kpresenter/slideshow/
%_datadir/apps/kpresenter/slideshow/*.bmp
%_datadir/apps/kpresenter/slideshow/*.jpeg
%_datadir/apps/kpresenter/slideshow/*.png
#
%dir %_datadir/apps/kpresenter/templates/
%dir %_datadir/apps/kpresenter/templates/A4/
%_datadir/apps/kpresenter/templates/A4/.directory
%_datadir/apps/kpresenter/templates/A4/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/A4/.source/
%_datadir/apps/kpresenter/templates/A4/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/Screen/
%_datadir/apps/kpresenter/templates/Screen/.directory
%_datadir/apps/kpresenter/templates/Screen/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/Screen/.source/
%_datadir/apps/kpresenter/templates/Screen/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/
%_datadir/apps/kpresenter/templates/Screenpresentations/.directory
%_datadir/apps/kpresenter/templates/Screenpresentations/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/.icon/
%_datadir/apps/kpresenter/templates/Screenpresentations/.icon/*.png
#
%dir %_datadir/apps/kpresenter/templates/Screenpresentations/.source/
%_datadir/apps/kpresenter/templates/Screenpresentations/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/legal/
%_datadir/apps/kpresenter/templates/legal/.directory
%_datadir/apps/kpresenter/templates/legal/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/legal/.source/
%_datadir/apps/kpresenter/templates/legal/.source/*.kpt
#
%dir %_datadir/apps/kpresenter/templates/letter/
%_datadir/apps/kpresenter/templates/letter/.directory
%_datadir/apps/kpresenter/templates/letter/*.desktop
#
%dir %_datadir/apps/kpresenter/templates/letter/.source/
%_datadir/apps/kpresenter/templates/letter/.source/*.kpt
#
#
%dir %_datadir/apps/kspread/
%_datadir/apps/kspread/*.rc
#
%dir %_datadir/apps/kspread/dtd/
%_datadir/apps/kspread/dtd/*
#
%dir %_datadir/apps/kspread/extensions/
%_datadir/apps/kspread/extensions/*
#
%dir %_datadir/apps/kspread/icons/
%dir %_datadir/apps/kspread/icons/hicolor/
%dir %_datadir/apps/kspread/icons/hicolor/16x16/
%dir %_datadir/apps/kspread/icons/hicolor/16x16/actions/
%_datadir/apps/kspread/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kspread/icons/hicolor/22x22/
%dir %_datadir/apps/kspread/icons/hicolor/22x22/actions/
%_datadir/apps/kspread/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kspread/icons/hicolor/32x32/
%dir %_datadir/apps/kspread/icons/hicolor/32x32/actions/
%_datadir/apps/kspread/icons/hicolor/32x32/actions/*.png
%dir %_datadir/apps/kspread/kpartplugins/
%_datadir/apps/kspread/kpartplugins/*.rc
#
%dir %_datadir/apps/kspread/tablestyles/
%_datadir/apps/kspread/tablestyles/*
#
#
%dir %_datadir/apps/kivio/
%_datadir/apps/kivio/*.rc
#
%dir %_datadir/apps/kivio/autoloadStencils/
%_datadir/apps/kivio/autoloadStencils/*
#
%dir %_datadir/apps/kivio/icons/
%dir %_datadir/apps/kivio/icons/hicolor/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/
%dir %_datadir/apps/kivio/icons/hicolor/16x16/actions/
%_datadir/apps/kivio/icons/hicolor/16x16/actions/*.png
%_datadir/apps/kivio/icons/hicolor/16x16/actions/*.xpm
#
%dir %_datadir/apps/kivio/icons/hicolor/22x22/
%dir %_datadir/apps/kivio/icons/hicolor/22x22/actions/
%_datadir/apps/kivio/icons/hicolor/22x22/actions/*.png
%_datadir/apps/kivio/icons/hicolor/22x22/actions/*.xpm
#
%dir %_datadir/apps/kivio/icons/hicolor/32x32/
%dir %_datadir/apps/kivio/icons/hicolor/32x32/actions/
%_datadir/apps/kivio/icons/hicolor/32x32/actions/*.xpm
#
%dir %_datadir/apps/kivio/kpartplugins/
%_datadir/apps/kivio/kpartplugins/*.rc
#
%dir %_datadir/apps/kivio/pics/
%_datadir/apps/kivio/pics/*.png
%_datadir/apps/kivio/pics/*.xpm
#
%dir %_datadir/apps/kivio/stencils/
%dir %_datadir/apps/kivio/stencils/Flowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/*.xpm
#
%dir %_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/desc
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.sml
%_datadir/apps/kivio/stencils/Flowcharting/BasicFlowcharting/*.xpm
#
#
%dir %_datadir/apps/kword/
%_datadir/apps/kword/*.rc
#
%dir %_datadir/apps/kword/dtd/
%_datadir/apps/kword/dtd/*
#
%dir %_datadir/apps/kword/expression/
%_datadir/apps/kword/expression/*.xml
#
%dir %_datadir/apps/kword/icons/
%dir %_datadir/apps/kword/icons/hicolor/
%dir %_datadir/apps/kword/icons/hicolor/16x16/
%dir %_datadir/apps/kword/icons/hicolor/16x16/actions/
%_datadir/apps/kword/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kword/icons/hicolor/22x22/
%dir %_datadir/apps/kword/icons/hicolor/22x22/actions/
%_datadir/apps/kword/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kword/kpartplugins/
%_datadir/apps/kword/kpartplugins/*.rc
#
%dir %_datadir/apps/kword/templates/
%dir %_datadir/apps/kword/templates/Publishing/
%_datadir/apps/kword/templates/Publishing/.directory
%_datadir/apps/kword/templates/Publishing/*.desktop
#
%dir %_datadir/apps/kword/templates/Publishing/.icon/
%_datadir/apps/kword/templates/Publishing/.icon/*.png
#
%dir %_datadir/apps/kword/templates/Publishing/.source/
%_datadir/apps/kword/templates/Publishing/.source/*.kwt
#
%dir %_datadir/apps/kword/templates/Normal/
%_datadir/apps/kword/templates/Normal/.directory
%_datadir/apps/kword/templates/Normal/*.desktop
#
%dir %_datadir/apps/kword/templates/Normal/.icon/
%_datadir/apps/kword/templates/Normal/.icon/*.png
#
%dir %_datadir/apps/kword/templates/Normal/.source/
%_datadir/apps/kword/templates/Normal/.source/*.kwt
#
#
#
%dir %_datadir/apps/kugar/
%_datadir/apps/kugar/*.rc
#
%dir %_datadir/apps/kugar/dtd/
%_datadir/apps/kugar/dtd/*.dtd
#
%dir %_datadir/apps/kugar/templates/
%_datadir/apps/kugar/templates/*.kut
#
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png
#
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/16x16/mimetypes/
%_iconsdir/hicolor/16x16/mimetypes/*.png
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png
#
%dir %_iconsdir/hicolor/22x22/apps/
%_iconsdir/hicolor/22x22/apps/*.png
#
%dir %_iconsdir/hicolor/22x22/mimetypes/
%_iconsdir/hicolor/22x22/mimetypes/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/actions/
%_iconsdir/hicolor/32x32/actions/*.png
#
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/mimetypes/
%_iconsdir/hicolor/32x32/mimetypes/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/mimetypes/
%_iconsdir/hicolor/48x48/mimetypes/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/22x22/
%dir %_iconsdir/locolor/22x22/apps/
%_iconsdir/locolor/22x22/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
%dir %_datadir/mimelnk/image/
%_datadir/mimelnk/image/*.desktop
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop
#
#
%dir %_datadir/templates/
%_datadir/templates/*.desktop
#
%dir %_datadir/templates/.source/
%_datadir/templates/.source/*


%files devel
%defattr(-,root,root)
%_includedir/*


%files static-devel
%defattr(-,root,root,-)
%_libdir/kchart.a
%_libdir/kformulamain.a
%_libdir/kivio.a
%_libdir/koshell.a
%_libdir/kpresenter.a
%_libdir/kspread.a
%_libdir/kword.a
%_libdir/libkdchart.a
%_libdir/libkformula.a
%_libdir/libkivioconnectortool.a
%_libdir/libkivioselecttool.a
%_libdir/libkiviotexttool.a
%_libdir/libkiviozoomtool.a
%_libdir/libkochart.a
%_libdir/libkodocinfopropspage.a
%_libdir/libkofficecore.a
%_libdir/libkofficeui.a
%_libdir/libkoscript.a
%_libdir/libkstore.a
%_libdir/libkugarpart.a
%_libdir/libkwmf.a
%_libdir/kontour.a
#
%dir %_libdir/kde2/
%_libdir/kde2/libabiwordexport.a
%_libdir/kde2/libabiwordimport.a
%_libdir/kde2/libapplixgraphicimport.a
%_libdir/kde2/libapplixspreadimport.a
%_libdir/kde2/libapplixwordimport.a
%_libdir/kde2/libasciiexport.a
%_libdir/kde2/libasciiimport.a
%_libdir/kde2/libcsvexport.a
%_libdir/kde2/libcsvimport.a
%_libdir/kde2/libdocbookexport.a
%_libdir/kde2/libhtmlexport.a
%_libdir/kde2/libhtmlimport.a
%_libdir/kde2/libkchartpart.a
%_libdir/kde2/libkformulapart.a
%_libdir/kde2/libkontourpart.a
%_libdir/kde2/libkiviopart.a
%_libdir/kde2/libkspreadhtmlexport.a
%_libdir/kde2/libkofficescan.a
%_libdir/kde2/libkpresenterpart.a
%_libdir/kde2/libkprkword.a
%_libdir/kde2/libkspelltool.a
%_libdir/kde2/libkspreadcalc.a
%_libdir/kde2/libkspreadpart.a
%_libdir/kde2/libkwordpart.a
%_libdir/kde2/liblatexexport.a
%_libdir/kde2/libmsodimport.a
%_libdir/kde2/libolefilter.a
%_libdir/kde2/libqproimport.a
%_libdir/kde2/librtfexport.a
%_libdir/kde2/libwmfimport.a
%_libdir/kde2/libxfigimport.a
%_libdir/kde2/libgnumericexport.a
%_libdir/kde2/libgnumericimport.a
%_libdir/kde2/libsvgexport.a
%_libdir/kde2/libsvgimport.a

%changelog
* Wed Sep 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-7mdk
- Add kformula icon

* Thu Sep 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-6mdk
- Rebuild with kde 2.2.1

* Sat Sep 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-5mdk
- Apply some kword fix (patch1)

* Tue Sep 04 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-4mdk
- Add Require kdegraphics (otherwise there is not a preview in koffice : kghostview)

* Thu Aug 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Rebuild

* Tue Aug 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-2mdk
- update koffice code

* Tue Aug 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- koffice-1.1

* Wed Aug 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.4mdk
- Fix buildrequires, and description

* Tue Jul 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.3mdk
- Fix kformula desktop file

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.2mdk
- Fix doc for Mandrake 8.1 (patch0)

* Sat Jul 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.rc1.1mdk
- koffice 1.1 RC1

* Thu Jul 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.4mdk
- Rebuild with kde2.2beta1

* Wed Jun 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta3.3mdk
- Fix crash in killustrator and kword 

* Mon Jun 25 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.2mdk
- Build for Cooker
- Add missing PreReq
- Move koshell in Office/Accessories (Frederic CROZAT)

* Mon Jun 18 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta3.1mdk
- 1.1.beta3
- Begin to add tests to automatically build right package for right distribution
- Fix and adapt LMDK menu structure for each supported LDMK distributions
- Complete BuildRequires for each supported LMDK distributions
- Make Munu structure generation readable (i.e. respect alphabetic order)
- Fix Obsoletes (i.e. learn to a package to don't obsole itself)
- Enable debug and don't strip when we are not in final release
- Enable xinerama for 8.1 distribution (currently Cooker)
- Disable --enable-final at present time (currently broken)
- Disable --enable-debug for LMDK 8.0 (buggy GCC)
- Move static libraries in devel package

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-0.beta2.3mdk
- New Office menu structure

* Thu May 24 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1-0.beta2.2mdk
- Re-enable debug (low level)
- Fix CFLAGS and CXXFLAGS
- Fix Menu structure

* Thu May 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-0.beta2.1mdk
- koffice1.1beta2

* Fri Apr 20 2001 Laurent MONTEL <lmontel@mandrakesoft.cpm> 1.1-0.beta1.1mdk
- koffice1.1beta1
- Increase Epoch because now name of this package is koffice1.1 and no longer
  koffice2.0

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-7mdk
- Update code
- port to new kde menu entry

* Mon Apr 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-6mdk
- Update code

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-5mdk
- Add missing files

* Mon Mar 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-4mdk
- Update code + add kugar

* Sat Mar 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-3mdk
- Update code

* Thu Mar 08 2001 laurent MONTEL <lmontel@mandrakesoft.com> 2.1-2mdk
- New kword version 

* Thu Mar 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-1mdk
- First package of new Koffice 

